package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag205cov;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT202COVCreator;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT205COVCreator;

public class TagB70Creator extends AbsTagCreate {
    private MT205COVCreator mt205COVCreator;

    public TagB70Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt205COVCreator = (MT205COVCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag70Value = mt205COVCreator.getRemittanceInformation();
        mt205COVCreator.set("70",tag70Value);
    }
}
